import 'package:flutter/material.dart';

import 'package:matrix/matrix.dart';

part 'homeserver_locale_map.dart';

class HomeserverLocale {
  final Locale locale;

  const HomeserverLocale(this.locale);

  String? choose() {
    if (locale.countryCode == null) return null;
    final country = locale.countryCode!.toLowerCase();
    try {
      if (_homeserverByLocale.containsKey(country)) {
        return _homeserverByLocale[country];
      } else if (_countryCodeContinent.containsKey(country)) {
        final continent = _countryCodeContinent[country];
        return _homeserverByContinent[continent];
      }
    } catch (e) {
      Logs().w('Error matching country code $country');
    }
    return null;
  }
}
