import 'package:flutter/material.dart';

import 'package:matrix_homeserver_recommendations/matrix_homeserver_recommendations.dart';

import 'package:fluffychat/pages/homeserver_picker/homeserver_picker.dart';

class HomeserverTile extends StatelessWidget {
  final HomeserverBenchmarkResult server;
  final HomeserverPickerController controller;

  const HomeserverTile(
      {Key? key, required this.server, required this.controller})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListTile(
      trailing: IconButton(
        icon: const Icon(Icons.info_outlined),
        onPressed: () => controller.showServerInfo(server),
      ),
      onTap: () => controller.setServer(server.homeserver.baseUrl.host),
      title: Text(server.homeserver.baseUrl.host),
      subtitle: Text(
        server.homeserver.description ?? '',
        style: TextStyle(color: Colors.grey.shade700),
      ),
    );
  }
}
